test:
	vagrant -v
	test -e Vagrantfile || exit

up:
	vagrant up

setup: prepare-ansible
	vagrant version
	vagrant halt
	vagrant destroy -f
	vagrant up --provision

vagrant-app-start:
	vagrant ssh -c "cd /vagrant/app && make start"

vagrant-app-install:
	vagrant ssh -c "cd /vagrant/app && make install"

vagrant app-setup:
	vagrant ssh -c "cd/vagrant/app && make setup"

prepare-ansible:
	ansible-galaxy install -r requirements.yml